<template>
<section class="applicationHomeContainerRT">  
    <section class="appHomeContent">
        <section class="appHomeContentLeft">
            <div class="CLbox_M" v-if="roleshow">
                <homeRTBoardtop></homeRTBoardtop>
            </div>         
            <div class="CLbox_M" v-if="roleshow">
                <homeRTGT></homeRTGT>
            </div>
            <div class="CLbox_M" v-if="roleshow">
                <homeRTLeader></homeRTLeader>
            </div>            
            <div class="CLbox_B">
                 <homeAllAppEnter></homeAllAppEnter>
            </div>
        </section>
        <section class="appHomeContentRight">
             <div class="CRbox_T">
                 <homeRTNewsBanner></homeRTNewsBanner>
            </div>
            <div class="CRbox_T">
                 <homeRTIntel></homeRTIntel>
            </div>           
            <div class="CRbox_T">
                <homeRTInfody></homeRTInfody>
            </div>
             <div class="CRbox_T">
                <homeRTWK></homeRTWK>
            </div>
             <!-- <div class="CRbox_T">
                <homeRTMonthDuty></homeRTMonthDuty>
            </div>      -->
        </section>
    </section>
</section>
</template>
<script>
import homeWelcome from './homeWelcome'
import homeAdvert from './homeAdvert'
import homeToAlert from './homeToAlert'
import homeMyused from './homeMyused'
import homeAllApp from './homeAllApp'
import homeManageCockPit from './homeManageCockPit'
import homeSecCockPit from './homeSecCockPit'
import homeCalendarBox from './homeCalendarBox'

import homemeet from './homemeet' //信息化会议
import homeDuty from './homeDuty' //7x24小时值班
import homeInfo from './homeInfo'//信息化专职人员
import homePatrol from './homePatrol' //系统日程巡查

import homeRTBoardtop from './homeRTBoardtop'
import homeRTGT from './homeRT_GT' //挂图作战
import homeRTMeeting from './homeRT_Meeting'
import homeRTProjectSheet from './homeRT_ProjectSheet'
import homeAllAppEnter from './homeAllApp_Enter'
import homeRTIntel from './homeRT_Intel'
import homeRTWK from './homeRT_WK'
import homeRTInfody from './homeRT_Infody'
import homeRTMonthDuty from './homeRT_MonthDuty'
import homeRTNewsBanner from './homeRTNewsBanner'
import homeRTLeader from './homeRTLeader'



export default {
    data(){
        return{
           topRightbannerArr:[],
           roleshow:false,
        }
    },
    mounted() {
        console.log(this)
        this.roleAuthShow()
    },
    components:{
        homeWelcome,
        homeAdvert,
        homeToAlert,
        homeMyused,
        homeAllApp,
        homeManageCockPit,
        homeSecCockPit,
        homeCalendarBox,
        homemeet,
        homeDuty,
        homeInfo,
        homePatrol,

        homeRTBoardtop,
        homeRTGT,
        homeRTMeeting,
        homeRTProjectSheet,
        homeAllAppEnter,
        homeRTIntel,
        homeRTWK,
        homeRTInfody,
        homeRTMonthDuty,
        homeRTNewsBanner,
        homeRTLeader
    },
    methods: {
        roleAuthShow(){
            this.$api.RtrolePermissiondisplay({},{                
                onSucess: response => {  
                   console.log(response.data)  
                   this.roleshow=response.data.show||false               
                }
            })
        }
    },
}
</script>
<style lang="scss" scoped>
.commBoxBg{
     background: #FFFFFF;
     box-shadow: 0px 2px 6px -4px rgba(0, 0, 0, 0.12), 0px 0px 16px 0px rgba(0, 0, 0, 0.08);
     border-radius: 8px;
}
.applicationHomeContainerRT{
    margin: 25px 25px 0 25px;
    box-sizing: border-box;
    display:flex;
    flex-direction: column;
    .appHomeTop{
      display: flex;width: 100%; 
      justify-content: space-between;   
      margin-bottom: 24px;  
      .topLeft{
          @extend .commBoxBg;
          height: 115px;
          width:calc(100% - 542px);
          min-width: 800px;
      }
      .topRight{
          @extend .commBoxBg;
          width: 518px;
          height: 115px;
      }
    }
    .appHomeContent{
        display: flex;width: 100%;
        justify-content: space-between; 
        .appHomeContentLeft{
            display: flex;
            flex-direction: column;
            width: calc(100% - 542px);
            .CLbox_T{               
            }
            .CLbox_M{
                @extend .commBoxBg;
                margin-bottom: 24px;
            }
            .CLbox_flex{
                display: flex;
                justify-content: space-between;
                margin-bottom: 24px;
                .flexWidth{flex:1}
                .centerspace{width:24px;}
            }
            
            .CLbox_B{
                @extend .commBoxBg;
                margin-bottom: 24px;
            }
        }
        .appHomeContentRight{
            display: flex;
            flex-direction: column;
            width: 518px;
            .CRbox_T{
                @extend .commBoxBg;
                margin-bottom: 24px;
            }
            .CRbox_M{
                // @extend .commBoxBg;
                margin-bottom: 24px;
            }
            .CRbox_B{
                // @extend .commBoxBg;
                margin-bottom: 24px;
            }
        }       
    }
}
</style>
<style lang="scss">
.homeGT{
    .el-table .cell.el-tooltip{white-space: nowrap!important;}     
}  
</style>